Bug 612163 - cannot register spacewalk to hosted, TypeError: unpack non-sequence
cannot register spacewalk to hosted, TypeError: unpack non-sequence
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.1
All Linux
high Severity high
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
: Regression
Depends On:
Blocks: space11
  Show dependency treegraph
 
Reported: 2010-07-07 09:12 EDT by Petr Sklenar
Modified: 2010-08-19 04:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 04:24:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-07-07 09:12:44 EDT
Description of problem:
I cannot register spacewalk to hosted

Version-Release number of selected component (if applicable):
today's spacewalk.nightly

spacewalk-backend-1.1.26-1.el5


How reproducible:
always

Steps to Reproduce:
1. have rhel55 and install spacewalk.nightly
2. version override to 5Server
3. db: delete from rhnsatellitecert;
4. rhn-satellite-activate --ignore-version-mismatch --rhn-cert=/tmp/rhn.cert
  
Actual results:

[root@ultraman-1 rhn-activation]# rhn-satellite-activate --ignore-version-mismatch --rhn-cert=/tmp/rhn.cert
RHN_PARENT: satellite.rhn.errata.stage.redhat.com
Population of the Channel Family permissions failed.
Return value: 6
Standard-out: 13:08:56 Red Hat Network Satellite - live synchronization
13:08:56    url: https://satellite.rhn.errata.stage.redhat.com
13:08:56    debug/output level: 1
13:08:57    db:  spacewalk/<password>@XE
13:08:57 
13:08:57 Retrieving / parsing channel-families data
13:08:59 channel-families data complete
+++ sending log as an email +++


Standard-error: 
SYNC ERROR: unhandled exception occurred:

(Check logs/email for potentially more detail)

unpack non-sequence




ERROR: Population of the Channel Family permissions failed.
You have new mail in /var/spool/mail/root
------------------------
------------------------
From rhn-satellite@ultraman-1.lab.eng.brq.redhat.com  Wed Jul  7 13:09:00 2010
Return-Path: <rhn-satellite@ultraman-1.lab.eng.brq.redhat.com>
Received: from ultraman-1.lab.eng.brq.redhat.com (localhost.localdomain [127.0.0.1])
	by ultraman-1.lab.eng.brq.redhat.com (8.13.8/8.13.8) with ESMTP id o67H90Zm031992
	for <root@ultraman-1.lab.eng.brq.redhat.com>; Wed, 7 Jul 2010 13:09:00 -0400
Received: (from root@localhost)
	by ultraman-1.lab.eng.brq.redhat.com (8.13.8/8.13.8/Submit) id o67H90dF031991;
	Wed, 7 Jul 2010 13:09:00 -0400
Date: Wed, 7 Jul 2010 13:09:00 -0400
From: rhn-satellite@ultraman-1.lab.eng.brq.redhat.com
Message-Id: <201007071709.o67H90dF031991@ultraman-1.lab.eng.brq.redhat.com>
Subject: RHN Management Satellite sync. report from ultraman-1.lab.eng.brq.redhat.com
To: root@ultraman-1.lab.eng.brq.redhat.com

13:09:00 
SYNC ERROR: unhandled exception occurred:

Exception reported from ultraman-1.lab.eng.brq.redhat.com
Time: Wed Jul  7 13:09:00 2010
Exception type exceptions.TypeError

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/satellite-sync", line 143, in main
    return satsync.Runner().main()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 218, in main
    ret = method()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 288, in _step_channel_families
    self.syncer.syncCert()
  File "/usr/share/rhn/satellite_tools/satsync.py", line 542, in syncCert
    return self._process_cert(cert)
  File "/usr/share/rhn/satellite_tools/satsync.py", line 570, in _process_cert
    sync_handlers.populate_channel_family_permissions(sat_cert)
  File "/usr/share/rhn/satellite_tools/sync_handlers.py", line 655, in populate_channel_family_permissions
    sum_max_values = compute_sum_max_members(cfps)
  File "/usr/share/rhn/satellite_tools/sync_handlers.py", line 711, in compute_sum_max_members
    for (cf_name, org_id), (max_members, max_flex) in cfps.items():
TypeError: unpack non-sequence


Expected results:


Additional info:
Comment 2 Justin Sherrill 2010-07-07 11:16:00 EDT
ad8449aacf62d68bf31f6e668babdec0beeb9cda

apparently during the processing, the values for rh-public were set improperly.
Comment 3 Milan Zázrivec 2010-08-19 04:24:32 EDT
Spacewalk 1.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.